> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pipeline Stages

> List the stages of a single pipeline, in order.



## OpenAPI

````yaml GET /crm/pipelines/{pipeline_id}/stages/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /crm/pipelines/{pipeline_id}/stages/:
    get:
      tags:
        - crm
      summary: List Pipeline Stages
      description: List the stages of a single pipeline, in order.
      operationId: crm_pipelines_stages_retrieve
      parameters:
        - in: path
          name: pipeline_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineStageListResponse'
          description: ''
        '404':
          description: Pipeline not found.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    PipelineStageListResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: >-
            Stage rows: id, pipeline_id, name, stage_order, is_closed_won,
            is_closed_lost, timestamps.
      required:
        - results
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````